<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:po="http://psol.com/2004/po"
                version="1.0">

<xsl:output method="html"/>

<xsl:template match="po:PurchaseOrder">
   <html>
      <head><title>Purchase Order</title></head>
      <body><xsl:apply-templates/></body>
   </html>
</xsl:template>

<xsl:template match="po:Reference">
   <p>Purchase Order: <xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="po:Date">
   <p>Date: <xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="po:Buyer/po:Name">
   <p>Buyer: <xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="po:Seller/po:Name">
   <p>Seller: <xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="po:ProductList">
   <ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="po:Product">
   <li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="po:Description">
   <xsl:apply-templates/><br/>
</xsl:template>

</xsl:stylesheet>