<?xml version="1.0"?>

<!-- if using Eclipse and ananas.org XM this goes in the rules directory -->
<!-- the XML document (sample.xml) goes in the src directory             -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:a="http://psol.com/2004/article">

<xsl:output method="html"/>

<xsl:template match="a:article">
   <html><xsl:apply-templates/></html>
</xsl:template>

<xsl:template match="a:body">
   <body>
      <xsl:apply-templates/>
      <p>This page was made with XML and XSLT.</p>
   </body>
</xsl:template>

<xsl:template match="a:para">
   <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="a:section">
   <xsl:apply-templates/><hr/>
</xsl:template>

<xsl:template match="a:info/a:title">
   <head><title><xsl:apply-templates/></title></head>
</xsl:template>

<xsl:template match="a:section/a:title">
   <h1><xsl:apply-templates/></h1>
</xsl:template>

</xsl:stylesheet>