<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:po="http://psol.com/2004/po"
                version="1.0">

<xsl:output method="html"/>

<xsl:template match="po:PurchaseOrder">
   <html>
      <head><title>Purchase Order</title></head>
      <body>
         <p>Buyer: <xsl:value-of select="po:Buyer/po:Name"/></p>
         <p>Seller: <xsl:value-of select="po:Seller/po:Name"/></p>
         <p>Date: <xsl:value-of select="po:Date"/></p>
         <p>Reference: <xsl:value-of select="po:Reference"/></p>
         <ul>
            <xsl:for-each select="po:ProductList/po:Product">
               <li>
                  <xsl:value-of select="po:Description"/><br/>
                  <xsl:value-of select="po:Price"/>
               </li>
            </xsl:for-each>
         </ul>
      </body>
   </html>
</xsl:template>

</xsl:stylesheet>